LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XConditionEntry Interface Reference

Abstract base interface for any conditional format. More...

`import"XConditionEntry.idl";`

Inheritance diagram for XConditionEntry:

## Public Member Functions
long | getType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Abstract base interface for any conditional format.

Is extended by any conditional format entry, e.g. color scale, data bar, icon set, date formats, condition formats

## Member Function Documentation

## ◆ getType()

long getType | ( |  | ) |

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XConditionEntry.idl